---
title: Compositing and Blending
slug: Web/CSS/Compositing_and_Blending
tags:
  - CSS
  - Compositing and Blending
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>Compositing and Blending</strong> is a CSS module that defines how shapes of different elements are combined into a single image.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("background-blend-mode")}}</li>
 <li>{{cssxref("isolation")}}</li>
 <li>{{cssxref("mix-blend-mode")}}</li>
</ul>
</div>

<h3 id="Data_types">Data types</h3>

<div class="index">
<ul>
 <li>{{cssxref("&lt;blend-mode&gt;")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Compositing")}}</td>
   <td>{{Spec2("Compositing")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="background-blend-mode_property"><code>background-blend-mode</code> property</h3>

<div>

<p>{{Compat("css.properties.background-blend-mode")}}</p>
</div>

<h3 id="isolation_property"><code>isolation</code> property</h3>

<div>
<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.isolation")}}</p>
</div>

<h3 id="mix-blend-mode_property"><code>mix-blend-mode</code> property</h3>

<div>
<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.mix-blend-mode")}}</p>
</div>
